Skip to main content
POST
/
scans
/
registrant
/
{registrant_id}
/
session
/
{session_id}
Create Session Scan
curl --request POST \
  --url https://api.swoogo.com/api/v1/scans/registrant/{registrant_id}/session/{session_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data event_id=8048
{
  "id": 69,
  "event_id": 787,
  "registrant_id": 1395,
  "type": "session",
  "created_by": 1,
  "created_at": "2025-09-18 21:26:08",
  "scan_id": 696
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

registrant_id
integer
required

integer - required - The ID of the registrant you want to use

Example:

1

session_id
integer
required

integer - required - The ID of the session you want to use

Example:

1

Body

application/x-www-form-urlencoded
event_id
string
Example:

"8048"

prevent_check_in
boolean

Optional boolean parameter to prevent the registrant's overall registration status from changing to "attended" during session check-in. When true, the registrant will be checked into the session but their overall registration status will remain unchanged. When false or omitted, the registrant's status will be updated to "attended" as usual.

Example:

false

Response

Create Object (or return existing scan if duplicate)

id
integer

The unique identifier of the created scan

Example:

69

event_id
integer

The ID of the event

Example:

787

registrant_id
integer

The ID of the registrant

Example:

1395

type
string

The type of scan

Example:

"session"

created_by
integer

The ID of the user who created the scan

Example:

1

created_at
string

The timestamp when the scan was created

Example:

"2025-09-18 21:26:08"

scan_id
integer

The ID of the session being scanned

Example:

696